Eigen::NumTraits< pcl::ndt2d::NormalDist< PointT > > Struct Template Reference

`#include <pcl/registration/impl/ndt_2d.hpp>`

## Public Types

enum | { IsComplex = 0, IsInteger = 0, IsSigned = 0, RequireInitialization = 1, ReadCost = 1, AddCost = 1, MulCost = 1 }
using | Real = double
using | Literal = double

## Static Public Member Functions

static Real | dummy_precision ()

## Detailed Description

### template<typename PointT>
struct Eigen::NumTraits< pcl::ndt2d::NormalDist< PointT > >

Definition at line 358 of file ndt_2d.hpp.

## Member Typedef Documentation

## Literal

template<typename PointT >

using Eigen::NumTraits< pcl::ndt2d::NormalDist< PointT > >::Literal = double

Definition at line 361 of file ndt_2d.hpp.

## Real

template<typename PointT >

using Eigen::NumTraits< pcl::ndt2d::NormalDist< PointT > >::Real = double

Definition at line 360 of file ndt_2d.hpp.

## Member Enumeration Documentation

## anonymous enum

template<typename PointT >

anonymous enum

Enumerator
IsComplex |
IsInteger |
IsSigned |
RequireInitialization |
ReadCost |
AddCost |
MulCost |

Definition at line 363 of file ndt_2d.hpp.

## Member Function Documentation

## dummy_precision()

template<typename PointT >

static Real Eigen::NumTraits< pcl::ndt2d::NormalDist< PointT > >::dummy_precision | ( |  | ) |

inline static

Definition at line 362 of file ndt_2d.hpp.

The documentation for this struct was generated from the following file:

- pcl/registration/impl/ndt_2d.hpp